Infoworks Rest API V3

Server
{protocol}://{host}:{port}/v3
Server Variables

Get `authentication_token` with `username` and `password`.

Get authentication_token with username and password.

Auth
Query String
GET /security/authenticate
Copy
Responses
200

Authentication success response

400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

406

Authentication Failed response

500

Internal Server Error.

Response
Copy

Get `authentication_token` with `refresh_token`.

Get authentication_token with refresh_token.

Auth
Headers
GET /security/token/access
Copy
Responses
200

Authentication success response

400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

406

Authentication Failed response

500

Internal Server Error.

Response
Copy

Purge authentication token

Purges authentication token and logs out the user. The user will need to generate a new authentication token for subsequent API calls.

Auth
DELETE /security/token/access
Copy
Responses
200

ok

400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Validate `authentication_token` if its active or not.

Validate authentication_token if its active or not.

Auth
GET /security/token/validate
Copy
Responses
200

Valid Token Response

400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Regenerate Refresh Token and blacklist old token.

Regenerate Refresh Token and blacklist old token.

Auth
DELETE /security/token/refresh
Copy
Responses
200
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Authorise User.

Authorise User.

Auth
Request Body
POST /security/authorise/user
Copy
Responses
200
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Get SAML Redirect URL.

Get SAML Redirect URL.

Auth
GET /security/sso/initialise
Copy
Responses
200

Valid Token Response

400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

LDAP Authorise User.

LDAP Authorise User.

Auth
Request Body
POST /security/get/user/data
Copy
Responses
200
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

bulk sync (add/update) ldap user by providing login attribute

bulk sync (add/update) ldap user by providing login attribute

Auth
Request Body
POST /security/bulk-ldap-sync
Responses
200

bulk ldap users sync response

400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

406

Authentication Failed response

500

Internal Server Error.

Response

Get the User details

Get the User details

Auth
GET /admin/users
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create a new User

Create a new User

Auth
Request Body
POST /admin/users
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the details of the user linked with the user_id

Get the details of the user linked with the user_id

Auth
GET /admin/users/{user_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete a user.

Delete a user.

Auth
DELETE /admin/users/{user_id}
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update the User

Update the User

Auth
Request Body
PATCH /admin/users/{user_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Reset password for user

Reset password for user

Auth
Request Body
PATCH /admin/users/{user_id}/reset-password
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete all schedules for a specific user

Delete all schedules for a specific user

Auth
DELETE /admin/users/{user_id}/delete-schedules
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Toggle user login ability

Toggle user login ability

Auth
PATCH /admin/users/{user_id}/toggle-user-login
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Add the domain to the user linked with the user_id

Add the domain to the user linked with the user_id

Auth
Request Body
POST /admin/users/{user_id}/accessible-domains
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the User details

Get the User details

Auth
GET /users
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create a new User

Create a new User

Auth
Request Body
POST /users
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the details of the user linked with the user_id

Get the details of the user linked with the user_id

Auth
GET /users/{user_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete a user.

Delete a user.

Auth
DELETE /users/{user_id}
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update the User

Update the User

Auth
Request Body
PATCH /users/{user_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Reset password for user

Reset password for user

Auth
Request Body
PATCH /users/{user_id}/reset-password
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete all schedules for a specific user

Delete all schedules for a specific user

Auth
DELETE /users/{user_id}/delete-schedules
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Toggle user login ability

Toggle user login ability

Auth
PATCH /users/{user_id}/toggle-user-login
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Add the domain to the user linked with the user_id

Add the domain to the user linked with the user_id

Auth
Request Body
POST /users/{user_id}/accessible-domains
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Unlock the user

Unlock the user by providing email id

Auth
Query String
POST /users/unlock
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the list of environments

Retrieves the list of environments that are accessible to the user.

Auth
Query String
GET /admin/environment
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create a new environment

Creates or clones a environment. To clone an existing environment, add the resource_id_to_clone query parameter.
Note: Cloning an environment will clone all its clusters and storages.

Auth
Query String
Request Body
POST /admin/environment
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the environment id details

Get the environment id details

Auth
GET /admin/environment/{environment_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete an Environment

Delete an Environment

Auth
DELETE /admin/environment/{environment_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update an environment

Update an existing environment

Auth
Request Body
PATCH /admin/environment/{environment_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the environment id storage details

Get the environment id storage details

Auth
GET /admin/environment/{environment_id}/environment-storage
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create storage for environment id

Create storage for environment id

Auth
Request Body
POST /admin/environment/{environment_id}/environment-storage
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the environment storage id storage details

Get the environment storage id storage details

Auth
GET /admin/environment/{environment_id}/environment-storage/{environment_storage_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get list of pipelines using the storage

Get list of pipelines using the storage

Auth
GET /admin/environment/{environment_id}/environment-storage/{environment_storage_id}/pipelines
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get List of ephemeral computes for environment

Get List of ephemeral computes for environment

Auth
GET /admin/environment/{environment_id}/environment-compute-template
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create ephemeral cluster

Create ephemeral cluster

Auth
Request Body
POST /admin/environment/{environment_id}/environment-compute-template
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get ephemeral computes for environment by id

Get ephemeral computes for environment by id

Auth
GET /admin/environment/{environment_id}/environment-compute-template/{environment_compute_template_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the list of environments interactive (persistent) templates

Get the list of environments interactive (persistent) templates

Auth
GET /admin/environment/{environment_id}/environment-interactive-clusters
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create an interactive compute

Create an interactive compute

Auth
Request Body
POST /admin/environment/{environment_id}/environment-interactive-clusters
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get persistent computes for environment by id

Get persistent computes for environment by id

Auth
GET /admin/environment/{environment_id}/environment-interactive-clusters/{environment_interactive_clusters_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the accessible domains present within an environment accessible by a user

Get the accessible domains present within an environment accessible by a user

Auth
GET /admin/environment/{environment_id}/accessible-domains
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Gets all environment clusters.

Gets all environment clusters.

Auth
GET /admin/environment/{environment_id}/environment-clusters
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get list of sources

Get list of sources

Auth
Query String
GET /sources
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Create source

Create source

Auth
Request Body

Source configurations

POST /sources
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Source Info

Get Source Info

Auth
GET /sources/{source_id}
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete source

Delete source

Auth
DELETE /sources/{source_id}
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update source

Update source

Auth
Request Body

Source configurations

PATCH /sources/{source_id}
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Browse source

Browse source

Auth
GET /sources/{source_id}/source_tables
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add query tables

Add query tables

Auth
Request Body

Query table configurations

POST /sources/{source_id}/tables/query_tables
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Crawl Entity Schema

Crawl Entity Schema

Auth
GET /sources/{source_id}/crawl-schema
Responses
200
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Bulk Crawl Entity Schema

Bulk Crawl Entity Schema

Auth
GET /sources/{source_id}/bulk-crawl-schema
Responses
200
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Check status for crawling

Check status for crawling

Auth
GET /sources/{source_id}/crawl-status
Responses
200
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Check status for bulk crawling

Check status for bulk crawling

Auth
GET /sources/{source_id}/bulk-crawl-status
Responses
200
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get source connection details

Get source connection details

Auth
GET /sources/{source_id}/configurations/connection
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update an existing source connection

Update an existing source connection

Auth
Request Body
PUT /sources/{source_id}/configurations/connection
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add advanced configuration to the source

Add advanced configuration to the source

Auth
Request Body
POST /sources/{source_id}/configurations/advance
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get all advanced configuration of the source

Get all advanced configuration of the source

Auth
GET /sources/{source_id}/configurations/advance
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get a source advanced configuration

Get a source advanced configuration

Auth
GET /sources/{source_id}/configurations/advance/{key}
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update a source advanced configuration

Update a source advanced configuration

Auth
Request Body
PUT /sources/{source_id}/configurations/advance/{key}
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete a source advanced configuration

Delete a source advanced configuration

Auth
DELETE /sources/{source_id}/configurations/advance/{key}
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get source Configuration

Get source Configuration

Auth
GET /sources/{source_id}/configurations
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Generic Source Types List

Get Generic Source Types List

Auth
Query String
GET /admin/generic-source-type
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Register or Create Generic Source Type

Register or Create Generic Source Type

Auth
Request Body
POST /admin/generic-source-type
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Generic Source Type By Id

Get Generic Source Type By Id

Auth
GET /admin/generic-source-type/{generic_source_type_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update Generic Source Type By Id

Update Generic Source Type By Id

Auth
Request Body
PATCH /admin/generic-source-type/{generic_source_type_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete Generic Source Type By Id

Delete Generic Source Type By Id

Auth
DELETE /admin/generic-source-type/{generic_source_type_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Generic Source Type Dependencies

Retrieves the dependencies for the Generic Source Type

Auth
GET /admin/generic-source-type/{generic_source_type_id}/dependencies
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all files in Generic Source Type by id

Get all files in Generic Source Type by generic_source_type_id

Auth
GET /admin/generic-source-type/{generic_source_type_id}/files
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

add file in Generic Source Type by id

add file in Generic Source Type by generic_source_type_id

Auth
Request Body
POST /admin/generic-source-type/{generic_source_type_id}/files
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get a list of all topics mapping.

Get a list of all topics mapping.

Auth
GET /sources/{source_id}/topic-mappings
Responses
200

Topics Mapping

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Create Topic Mapping For Source

Create Topic Mapping For Source

Auth
Request Body
POST /sources/{source_id}/topic-mappings
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get topic mapping id.

Get topic mapping id.

Auth
GET /sources/{source_id}/topic-mappings/{topic_mapping_id}
Responses
200

Topics Mapping Id

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update Topic Mapping For Source

Update Topic Mapping For Source

Auth
Request Body
PATCH /sources/{source_id}/topic-mappings/{topic_mapping_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete Topic Mapping For Source

Delete Topic Mapping For Source

Auth
DELETE /sources/{source_id}/topic-mappings/{topic_mapping_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get topics From Source

Get topics From Source

Auth
GET /sources/{source_id}/topics
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get topic Preview

Get topics Preview

Auth
GET /sources/{source_id}/topic-mappings/{topic_mapping_id}/preview
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Crawl Schema For Topic Mapping

Crawl Schema For Topic Mapping

Auth
GET /sources/{source_id}/topic-mappings/{topic_mapping_id}/crawl-schema
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Table Schema From Mapping

Get Table Schema From Mapping

Auth
Query String
GET /sources/{source_id}/topic-mappings/{topic_mapping_id}/table-schema
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Create Streaming Table

Create Streaming Table

Auth
Request Body
POST /sources/{source_id}/topic-mappings/{topic_mapping_id}/tables
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Streaming Table

Get Streaming Table

Auth
GET /sources/{source_id}/topic-mappings/{topic_mapping_id}/tables/{table_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete Streaming Table

Delete Streaming Table

Auth
DELETE /sources/{source_id}/topic-mappings/{topic_mapping_id}/tables/{table_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete JSON Source Table

Delete JSON Source Table

Auth
DELETE /sources/{source_id}/file-mappings/{file_mapping_id}/tables/{table_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get File Mappings for JSON source

Get File Mappings for JSON source

Auth
Query String
GET /sources/{source_id}/file-mappings
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Create File Mapping For JSON Source

Create File Mapping For JSON Source

Auth
Request Body
POST /sources/{source_id}/file-mappings
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get File Mappings for JSON source by id

Get File Mappings for JSON source by id

Auth
GET /sources/{source_id}/file-mappings/{file_mapping_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete File Mapping For JSON Source

Delete File Mapping For JSON Source

Auth
DELETE /sources/{source_id}/file-mappings/{file_mapping_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update File Mapping For JSON Source

Update File Mapping For JSON Source

Auth
Request Body
PATCH /sources/{source_id}/file-mappings/{file_mapping_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get File Mapping Data Preview

Get File Mapping Data Preview

Auth
GET /sources/{source_id}/file-mappings/{file_mapping_id}/preview
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Crawl Schema For File Mapping

Crawl Schema For File Mapping

Auth
GET /sources/{source_id}/file-mappings/{file_mapping_id}/crawl-schema
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Table Schema From Mapping

Get Table Schema From Mapping

Auth
Query String
GET /sources/{source_id}/file-mappings/{file_mapping_id}/table-schema
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Create JSON Source Table

Create JSON Source Table

Auth
Request Body
POST /sources/{source_id}/file-mappings/{file_mapping_id}/tables
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get JSON Source Table

Get JSON Source Table

Auth
GET /sources/{source_id}/file-mappings/{file_mapping_id}/tables/{table_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add/Edit Configuration for streaming options of a table group.

Add/Edit Configuration for streaming options of a table group.

Auth
Request Body
PUT /sources/{source_id}/table/{table_id}/configurations/streaming
Responses
200

Ok

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get streaming configuration of given table.

Get streaming configuration of given table.

Auth
GET /sources/{source_id}/table/{table_id}/configurations/streaming
Responses
200

Ok.

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get tables for whom streaming configurations are set in a particular source.

Get tables for whom streaming configurations are set in a particular source.

Auth
Query String
GET /sources/{source_id}/streaming-tables
Responses
200

Ok

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get streaming table info.

Get streaming table info.

Auth
GET /sources/{source_id}/streaming-tables/{table_id}
Responses
200

Ok

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Tables

Creates the file mapping (table) of the csv source.

Creates the previously configured file mapping (table) of the csv source.

Auth
Request Body

This is the JSON body of request containing configured Table object.

POST /sources/{source_id}/tables/{table_id}/configurations/file-mapping
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Modifies the file mapping (table) of the csv source.

Modifies the previously configured file mapping (table) of the csv source.

Auth
Request Body
PUT /sources/{source_id}/tables/{table_id}/configurations/file-mapping
Responses
200

Ok

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Updates the file mapping (table) of the csv source.

Updates the previously configured file mapping (table) of the csv source.

Auth
Request Body
PATCH /sources/{source_id}/tables/{table_id}/configurations/file-mapping
Responses
200

Ok

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update source metadata

update source metadata

Auth
Request Body

Source Metadata

PUT /sources/{source_id}/metadata
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

get source metadata

get source metadata

Auth
GET /sources/{source_id}/metadata
Responses
200

get source metadata

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

get whether staging fields can be edited

get whether staging fields can be edited

Auth
GET /sources/{source_id}/edit-staging-fields
Responses
200

get whether staging fields can be edited

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get the list of Source Files paths of the table

Get the list of Source Files paths of the table

Auth
GET /sources/{source_id}/tables/{table_id}/jobs/{job_id}/reports/sourceFilesPath
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get meta crawled table count

Get meta crawled table count

Auth
GET /sources/{source_id}/meta-crawled-table-count
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get List of excluded tables

Get List of source table which are not yet ingested

Auth
GET /sources/{source_id}/source_tables/excluded-tables
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Source schema

Get all distinct schema for a given source table

Auth
GET /sources/{source_id}/source_tables/schema-for-source
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

list all the tables in the source

list all the tables in the source

Auth
Query String
GET /sources/{source_id}/tables
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add tables to a File Source

Add tables to a File Source

Auth
Request Body
POST /sources/{source_id}/tables
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

list all the tables in the source

list all the tables in the source

Auth
Query String
POST /sources/{source_id}/fetch-tables
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Table Info

Get Table Info

Auth
GET /sources/{source_id}/tables/{table_id}
Responses
200
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update the Table

Update the table Metadata

Auth
Request Body

Update the table Metadata

PATCH /sources/{source_id}/tables/{table_id}
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete Table for a source

Delete Table for a source

Auth
DELETE /sources/{source_id}/tables/{table_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Crawl Table Schema

Crawl Table Schema

Auth
GET /sources/{source_id}/tables/{table_id}/crawl-schema
Responses
200
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

add the tables to a source and crawl metadata of those added tables

add the tables to a source and crawl metadata of those added tables

Auth
Request Body
POST /sources/{source_id}/tables/source_tables
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Updates and configures the table for Ingestion

Sets ingestion configuration for a table.

Auth
Request Body

Table ingestion Configuration

PUT /sources/{source_id}/tables/{table_id}/configurations/ingestion
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get ingestion configuration of table

Get ingestion configuration of table

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/ingestion
Responses
200

get the ingestion configuration of table

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get list of Entity advance configuration

Get list of Entity advance configuration

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/advance
Responses
200

Limitby list of all the entity advance configuration sorted on the format user provided

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add advance configuration for a table

Add advance configuration for a table

Auth
Request Body
POST /sources/{source_id}/tables/{table_id}/configurations/advance
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get table advance configuration

Get table advance configuration

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/advance/{key}
Responses
200

Ok

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update advance configuration for a table

update advance configuration for a table

Auth
Request Body

Table ingestion Configuration

PUT /sources/{source_id}/tables/{table_id}/configurations/advance/{key}
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete advance configuration for a table

Delete advance configuration for a table

Auth
DELETE /sources/{source_id}/tables/{table_id}/configurations/advance/{key}
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update table export configuration

update table export configuration

Auth
Request Body

Table export Configuration

PUT /sources/{source_id}/tables/{table_id}/configurations/export
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

get table export configuration

get table export configuration

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/export
Responses
200

get table export configuration

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update table column order

update table column order

Auth
Request Body

Table Column Order

PATCH /sources/{source_id}/tables/{table_id}/column-order
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update table metadata

update table metadata

Auth
Request Body

Table Metadata

PUT /sources/{source_id}/tables/{table_id}/metadata
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

get table metadata

get table metadata

Auth
GET /sources/{source_id}/tables/{table_id}/metadata
Responses
200

get table metadata

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get table export configuration connection properties

Get table export configuration connection properties

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/export/connection
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update table export configuration Connection properties

update table export configuration Connection properties

Auth
Request Body

Table export Configuration connection properties

PUT /sources/{source_id}/tables/{table_id}/configurations/export/connection
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Start Segmentation on a Table

Start Segmentation on a Table

Auth
Path Params
Request Body
POST /sources/{source_id}/tables/{table_id}/segmentation/start
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Crawl Segments Metadata on a Table

Crawl Segments Metadata on a Table

Auth
Path Params
POST /sources/{source_id}/tables/{table_id}/segmentation/crawl
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Table Segments of a Table

Get Table Segments of a Table

Auth
Path Params
Query String
GET /sources/{source_id}/tables/{table_id}/segmentation
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

End Segmentation on a Table

End Segmentation on a Table

Auth
Path Params
POST /sources/{source_id}/tables/{table_id}/segmentation/end
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Cancel Segmentation on a Table

Cancel Segmentation on a Table

Auth
Path Params
POST /sources/{source_id}/tables/{table_id}/segmentation/cancel
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get the schema of the table

Get the schema of the table

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/schema
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update the schema of the table

Update the schema of the table

Auth
Request Body
PUT /sources/{source_id}/tables/{table_id}/configurations/schema
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

configurations

Auth
GET /sources/{source_id}/tables/{table_id}/configurations
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get a list of all table segments.

Get a list of all table segments.

Auth
GET /sources/{source_id}/tables/{table_id}/segments
Responses
200

Limitby list of all the tables segments sorted on the format user provided

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Gets Validation Specs for a Table.

Gets Validation Specs for a given TableId.

Auth
Query String
GET /sources/{source_id}/tables/{table_id}/validation-specs
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add Validation Specs to a Table.

Add Validation Specs to a Table.

Auth
Request Body
POST /sources/{source_id}/tables/{table_id}/validation-specs
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Updates the Validation Specs for a table.

Updates the Validation Specs for a table.

Auth
Request Body
PATCH /sources/{source_id}/tables/{table_id}/validation-specs/{validation_spec_id}
Responses
200

Ok

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete Validation Specs for a Table

Delete Validation Specs

Auth
DELETE /sources/{source_id}/tables/{table_id}/validation-specs/{validation_spec_id}
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get table preview.

Get table preview.

Auth
GET /sources/{source_id}/table/{source_table_id}/get-preview
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Generate table preview.

Generate table preview.

Auth
GET /sources/{source_id}/table/{source_table_id}/generate-preview
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Generate query table preview.

Generate query table preview.

Auth
GET /sources/{source_id}/query_table/generate-preview
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get query table preview.

Get query table preview.

Auth
GET /sources/{source_id}/query_table/get-preview
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Preview Queries.

Gets Preview Queries.

Auth
GET /sources/{source_id}/tables/{table_id}/generateQueries
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get multiple table Ids

Get multiple table Ids

Auth
GET /tables/
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Responses
Response

Responses
Response

Responses
Response